> For the complete documentation index, see [llms.txt](https://docs.decentraland.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.decentraland.org/contributor/contributor-ko/scene-runtime/runtime-modules/signed-fetch.md).

# 서명된 Fetch

이 `SignedFetch` 모듈은 다음의 구현을 제공합니다 `fetch` 투명하게 다음과 호환되는 인터페이스 [서명된 fetch](https://github.com/decentraland/docs/blob/main/auth/signed_fetch/README.md) 프로토콜로, 서명된 [인증 체인을](https://github.com/decentraland/docs/blob/main/auth/authchain/README.md) 발신 요청에 첨부하는 방법을 정의합니다.

이 요청에 서명하고 검증하는 절차는 다음 페이지에 자세히 설명되어 있습니다. [인증 체인](https://github.com/decentraland/docs/blob/main/contributor/auth/authchain/README.md) 페이지.

사용하려면 `SignedFetch` 씬에서 사용하려면 다음이 필요합니다 [`USE_FETCH`](https://github.com/decentraland/docs/blob/main/contributor/content/entity-types/scenes/README.md#permissions) 권한.

### 메서드

**`signedFetch`**

다음과 같이 HTTP 요청을 보냅니다 ([`fetch`](https://github.com/decentraland/docs/blob/main/contributor/globals/README.md#http)), 검증 헤더를 자동으로 추가합니다.

```ts
interface Request {
  // 요청 대상 URL:
  url: string;

  // 요청을 위한 선택 사항이며 설명이 필요한 매개변수:
  init?: {
    method?: string;
    body?: string;
    headers: { [key: string]: string };
  };
}

interface Response {
  // HTTP 요청이 성공적으로 수행되었는지 여부(2xx가 아닌 코드는 실패가 아님)
  ok: boolean;

  // 응답의 설명적인 세부 정보:
  status: number;
  statusText: string;
  headers: { [key: string]: string };
  body: string;
}

function signedFetch(Request): Promise<Response>;
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.decentraland.org/contributor/contributor-ko/scene-runtime/runtime-modules/signed-fetch.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
